﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prova1.Model
{
    public interface IPart
    {
    }

    public class TextPart : IPart
    {
        private string _text;

        public string Text
        {
            get { return _text; }
            set { _text = value; }
        }
    }

    public class EditablePart : IPart
    {
        private string _expectedText;
        private double _rightAnswerPoints;
        private double _wrongAnswerPoints;

        public string ExpectedText
        {
            get { return _expectedText; }
            set { _expectedText = value; }
        }

        public double RightAnswerPoints
        {
            get { return _rightAnswerPoints; }
            set { _rightAnswerPoints = value; }
        }

        public double WrongAnswerPoints
        {
            get { return _wrongAnswerPoints; }
            set { _wrongAnswerPoints = value; }
        }
    }
}
