﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prova1.Presentation
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false, Inherited = false)]
    public class QuestionTypeAttribute : Attribute
    {
        private readonly Type _questionType;

        public QuestionTypeAttribute(Type questionType)
        {
            _questionType = questionType;
        }

        public Type QuestionType
        {
            get { return _questionType; }
        }
    }
}
